include <C:\Program Files\OpenSCAD\libraries\MCAD\shapes.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\units.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\materials.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\nuts_and_bolts.scad>

module post1()
{
color("blue") translate([0,0,0]) rotate([0,-90,0]) scale([5 * .74,1,1]) import("V-Slot 40x40_STL.stl", convexity=3);
color("green") translate([0,1,40]) rotate([180,0,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-1,40,40]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
    
color("green") translate([0,39,700]) rotate([180,180,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-40,40,700]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("yellow") translate([0,60,18]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("yellow") translate([0,60,738]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("purple") translate([-20,-3,0]) rotate([180,270,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,0,740]) rotate([180,90,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-40,20,0]) rotate([180,270,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-43,20,740]) rotate([180,90,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,20,-3]) rotate([0,0,0]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,20,740]) rotate([0,0,0]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
};

module post2()
{
color("orange") translate([0,0,0]) rotate([0,0,90]) scale([1,1,.7]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("green") translate([-1,20,20]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,0,20]) rotate([180,0,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,20,680]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-1,0,680]) rotate([180,180,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
};

module yaxis()
{
color("orange") translate([0,-25,0]) rotate([90,0,90]) scale([1,1,.86]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([825,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([35,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

module xaxis()
{
color("orange") translate([0,-25,0]) rotate([90,0,90]) scale([1,1,.80]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([765,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([35,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

translate([500,540,0]) rotate([0,0,180]) post1();
translate([-540,500,0]) rotate([0,0,270]) post1();
translate([540,-500,0]) rotate([0,0,90]) post1();
translate([-500,-540,0]) rotate([0,0,0]) post1();

color("red") translate([500,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

color("red") translate([500,500,740]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,740]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,740]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,740]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

translate([500,450,20]) rotate([0,0,180]) post2();
translate([500,-430,20]) rotate([0,0,180]) post2();
translate([-540,450,20]) rotate([0,0,180]) post2();
translate([-540,-430,20]) rotate([0,0,180]) post2();

color("brown") translate([-310,-330,0]) rotate([90,0,90]) scale([1,1,1 * .62]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-310,310,0]) rotate([90,0,90]) scale([1,1,1 * .62]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-310,-500,0]) rotate([90,0,180]) scale([1,1,1 ]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([330,-500,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
#color("silver") translate([0,0,23]) box(26*25.4,26*25.4,6);

translate([-430,455,300]) rotate([0,0,0]) yaxis();
translate([-430,-425,300]) rotate([0,0,0]) yaxis();

translate([0,-400,350]) rotate([0,0,90]) xaxis();

color("pink") translate([315,450,20]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("pink") translate([-325,450,20]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("pink") translate([315,-460,20]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("pink") translate([-325,-460,20]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm TR8_8 Leadscrew.stl", convexity=3);

color("silver") translate([-304,-450,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([336,-450,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([-338,450,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([302,450,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);
