include <C:\Program Files\OpenSCAD\libraries\MCAD\shapes.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\units.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\materials.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\nuts_and_bolts.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\stepper.scad>


module psu()
{
color ("grey") box(220,115,60);
};

module post1()
{
color("blue") translate([0,0,0]) rotate([0,-90,0]) scale([5 * 1,1,1]) import("V-Slot 40x40_STL.stl", convexity=3);
color("green") translate([0,1,40]) rotate([180,0,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-1,40,40]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
    
color("green") translate([0,39,960]) rotate([180,180,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-40,40,960]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("yellow") translate([0,60,18]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("yellow") translate([0,60,998]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("purple") translate([-20,-3,0]) rotate([180,270,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,0,1000]) rotate([180,90,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-40,20,0]) rotate([180,270,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-43,20,1000]) rotate([180,90,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,20,-3]) rotate([0,0,0]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,20,1000]) rotate([0,0,0]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
};

module post2()
{
color("orange") translate([0,0,0]) rotate([0,0,90]) scale([1,1,.96]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("green") translate([-1,20,20]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,0,20]) rotate([180,0,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,20,940]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-1,0,940]) rotate([180,180,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
};

module yaxis()
{
color("orange") translate([-10,-25,0]) rotate([90,0,90]) scale([1,1,.88]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([835,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([25,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

module xaxis()
{
color("orange") translate([-15,-25,0]) rotate([90,0,90]) scale([1,1,.83]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([780,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([18,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

module wplate()
{
color("white") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Mini V-Plate.stl", convexity=3); 
color("black") translate([3,3,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([3,32,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([33,3,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([33,32,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);    
};

module xyaxis()
{
translate([-430,455,300]) rotate([0,0,0]) yaxis();
translate([-430,-425,300]) rotate([0,0,0]) yaxis();
translate([0,-400,345]) rotate([0,0,90]) xaxis();
color("silver") translate([-304,-470,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([336,-470,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([-338,470,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([302,470,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

translate ([-10,415,340]) rotate([0,0,0]) wplate();
translate ([-10,-465,340]) rotate([0,0,0]) wplate();

translate ([-500,-465,350]) rotate([0,90,0]) wplate();
translate ([-500,415,350]) rotate([0,90,0]) wplate();

translate ([500,-465,305]) rotate([0,270,0]) wplate();
translate ([500,415,305]) rotate([0,270,0]) wplate();

color("brown") translate([295,-470,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-345,-470,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([295,450,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-345,450,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);

color("white") translate([0,-45,430]) rotate([0,90,0]) scale([1,1,1]) import("V-Slot Universal Plate.stl", convexity=3);
};

translate([500,540,0]) rotate([0,0,180]) post1();
translate([-540,500,0]) rotate([0,0,270]) post1();
translate([540,-500,0]) rotate([0,0,90]) post1();
translate([-500,-540,0]) rotate([0,0,0]) post1();

color("red") translate([500,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

color("red") translate([500,500,1000]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,1000]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,1000]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,1000]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

translate([500,450,20]) rotate([0,0,180]) post2();
translate([500,-430,20]) rotate([0,0,180]) post2();
translate([-540,450,20]) rotate([0,0,180]) post2();
translate([-540,-430,20]) rotate([0,0,180]) post2();

color("brown") translate([-500,-330,0]) rotate([90,0,90]) scale([1,1,1]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-500,310,0]) rotate([90,0,90]) scale([1,1,1]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-310,-310,0]) rotate([90,0,180]) scale([1,1,1 * .62 ]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([330,-310,0]) rotate([90,0,180]) scale([1,1,1 * .62]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
#color("silver") translate([0,0,23]) box(26*25.4,26*25.4,6);

color("green") translate([319,-494,10]) rotate([0,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,-494,10]) rotate([0,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([319,494,10]) rotate([0,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,494,10]) rotate([0,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);

color("green") translate([319,-494,990]) rotate([180,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,-494,990]) rotate([180,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([319,494,990]) rotate([180,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,494,990]) rotate([180,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);

rotate([0,0,90]) translate([0,-388,-12]) psu();

color("gold") translate([315,470,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([-325,470,0]) rotate([0,0,0]) scale([1,1,1]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([315,-480,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([-325,-480,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);

translate([0,0,200]) xyaxis();

//translate([0,0,($t*2000)]) xyaxis();

translate([465,430,528])  rotate([90,0,0]) motor(Nema17, NemaMedium, dualAxis=false);
translate([-465,430,528])  rotate([90,0,180]) motor(Nema17, NemaMedium, dualAxis=false);