include <C:\Program Files\OpenSCAD\libraries\MCAD\shapes.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\units.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\materials.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\nuts_and_bolts.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\stepper.scad>
include <C:\Program Files\OpenSCAD\libraries\MCAD\belt_generator.scad>

module idler()
{
color("grey") translate([4.25,-8,26.5]) rotate([0,0,0]) scale([1,1,1]) import("V-Slot Idler Pulley Plate.stl", convexity=3);
color("black") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - 5mm Precision Washer-1.stl", convexity=3);
color("silver") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - Precision Ball Bearing-1.stl", convexity=3);
color("silver") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - Precision Ball Bearing-2.stl", convexity=3);
color("black") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - 5mm x 25mm Low Profile Socket Head Screw-1.stl", convexity=3);
color("black") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - V-Slot Idler Pulley-1.stl", convexity=3);
color("silver") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - .125 Inch Aluminum Spacer-1.stl", convexity=3);
color("silver") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Idler Wheel Assembly - Nylon Insert Hex Locknut 5mm-1.stl", convexity=3);
};

module psu()
{
color ("grey") box(220,115,60);
};

module post1()
{
color("blue") translate([0,0,0]) rotate([0,-90,0]) scale([5 * 1,1,1]) import("V-Slot 40x40_STL.stl", convexity=3);
color("green") translate([0,1,40]) rotate([180,0,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-1,40,40]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
    
color("green") translate([0,39,960]) rotate([180,180,90]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("green") translate([-40,40,960]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3);
color("yellow") translate([0,60,18]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("yellow") translate([0,60,998]) rotate([180,90,90]) scale([1,1,1]) import("Universal L Bracket - Single.stl", convexity=3);
color("purple") translate([-20,-3,0]) rotate([180,270,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-20,0,1000]) rotate([180,90,90]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-40,20,0]) rotate([180,270,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-43,20,1000]) rotate([180,90,180]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
color("purple") translate([-40,20,0]) rotate([180,0,90]) scale([1,1,1]) import("40x40foot.stl", convexity=3);
color("purple") translate([-20,20,1000]) rotate([0,0,0]) scale([1,1,1]) import("5 Hole 90 Degree Joining Plate.stl", convexity=3);
};

module post2()
{
color("orange") translate([0,0,0]) rotate([0,0,90]) scale([1,1,.96]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("green") translate([-1,20,20]) rotate([180,0,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,0,20]) rotate([180,0,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-39,20,940]) rotate([180,180,180]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
color("green") translate([-1,0,940]) rotate([180,180,0]) scale([1,1,1]) import("Universal L Bracket - Double.stl", convexity=3); 
};

module yaxis()
{
color("orange") translate([-10,-25,0]) rotate([90,0,90]) scale([1,1,.88]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([835,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([25,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

module xaxis()
{
color("orange") translate([-20,-25,0]) rotate([90,0,90]) scale([1,1,.84]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3); 
color("grey") translate([785,0,0]) rotate([90,0,0]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
color("grey") translate([18,-30,0]) rotate([90,0,180]) scale([1,1,1]) import("V-Slot Actuator End Mount.stl", convexity=3); 
    
};

module wplate()
{
color("white") translate([0,0,0]) rotate([0,0,0]) scale([1,1,1]) import("Mini V-Plate.stl", convexity=3); 
color("black") translate([3,3,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([3,32,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([33,3,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);  
color("black") translate([33,32,-10]) rotate([0,0,0]) scale([1,1,1]) import("Delrin Micro V-Wheel.stl", convexity=3);    
};

module xyaxis()
{
translate([-430,460,300]) rotate([0,0,0]) yaxis();
translate([-430,-430,300]) rotate([0,0,0]) yaxis();
translate([0,-400,345]) rotate([0,0,90]) xaxis();
color("silver") translate([-304,-475,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([336,-475,304]) rotate([0,0,180]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([-338,475,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

color("silver") translate([302,475,304]) rotate([0,0,0]) scale([1,1,1 * .70]) import("8mm Acme Nut Block.stl", convexity=3);

translate ([-10,420,340]) rotate([0,0,0]) wplate();
translate ([-10,-470,340]) rotate([0,0,0]) wplate();

translate ([-500,-470,350]) rotate([0,90,0]) wplate();
translate ([-500,420,350]) rotate([0,90,0]) wplate();

translate ([500,-470,305]) rotate([0,270,0]) wplate();
translate ([500,420,305]) rotate([0,270,0]) wplate();

color("brown") translate([295,-470,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-345,-470,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([295,455,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-345,455,300]) rotate([90,0,90]) scale([1,1,1* .05]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);

color("white") translate([0,-45,430]) rotate([0,90,0]) scale([1,1,1]) import("V-Slot Universal Plate.stl", convexity=3);
};

translate([500,540,0]) rotate([0,0,180]) post1();
translate([-540,500,0]) rotate([0,0,270]) post1();
translate([540,-500,0]) rotate([0,0,90]) post1();
translate([-500,-540,0]) rotate([0,0,0]) post1();

color("red") translate([500,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,20]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,20]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

color("red") translate([500,500,1000]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-540,500,1000]) rotate([90,90,0]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,500,1000]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);
color("red") translate([-500,-540,1000]) rotate([90,90,90]) scale([1,1,1]) import("V-Slot 20mm x 40mm x 1000mm.stl", convexity=3);

translate([500,455,20]) rotate([0,0,180]) post2();
translate([500,-435,20]) rotate([0,0,180]) post2();
translate([-540,455,20]) rotate([0,0,180]) post2();
translate([-540,-435,20]) rotate([0,0,180]) post2();

color("brown") translate([-500,-330,0]) rotate([90,0,90]) scale([1,1,1]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-500,310,0]) rotate([90,0,90]) scale([1,1,1]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([-310,-310,0]) rotate([90,0,180]) scale([1,1,1 * .62 ]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
color("brown") translate([330,-310,0]) rotate([90,0,180]) scale([1,1,1 * .62]) import("V-Slot 20mm x 20mm x 1000mm.stl", convexity=3);
#color("silver") translate([0,0,23]) box(26*25.4,26*25.4,6);

color("green") translate([319,-500,10]) rotate([0,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,-500,10]) rotate([0,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("blue") translate([319,500,10]) rotate([0,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,500,10]) rotate([0,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);

color("green") translate([319,-500,990]) rotate([180,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,-500,990]) rotate([180,0,180]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([319,500,990]) rotate([180,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);
color("green") translate([-321,500,990]) rotate([180,0,0]) scale([1,1,1]) import("pbt10.stl", convexity=3);

rotate([0,0,90]) translate([0,-388,-12]) psu();

color("gold") translate([315,478,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([-325,478,0]) rotate([0,0,0]) scale([1,1,1]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([315,-488,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);
color("gold") translate([-325,-488,0]) rotate([0,0,0]) scale([1,1,1 ]) import("8mm TR8_8 Leadscrew.stl", convexity=3);

color("silver;l.") translate([320,482,34]) rotate([0,-90,0]) scale([1,1,1 ]) import("60tooth.stl", convexity=3);
color("silver") translate([-320,482,34]) rotate([0,-90,0]) scale([1,1,1]) import("60tooth.stl", convexity=3);
color("silver") translate([318,-485,34]) rotate([0,-90,0]) scale([1,1,1 ]) import("60tooth.stl", convexity=3);
color("silver") translate([-322,-485,34]) rotate([0,-90,0]) scale([1,1,1 ]) import("60tooth.stl", convexity=3);

translate([0,0,200]) xyaxis();

//translate([0,0,($t*2000)]) xyaxis();

color ("purple") translate([465,430,528])  rotate([90,0,0]) motor(Nema17, NemaMedium, dualAxis=false);
color ("purple") translate([465,-430,528])  rotate([90,0,180]) motor(Nema17, NemaMedium, dualAxis=false);
color ("purple") translate([30,449,572])  rotate([90,0,90]) motor(Nema17, NemaMedium, dualAxis=false);
color ("purple") translate([-480,350,20])  rotate([180,0,90]) motor(Nema17, NemaMedium, dualAxis=false);
color ("purple") translate([-480,-350,20])  rotate([180,0,90]) motor(Nema17, NemaMedium, dualAxis=false);
color("silver") translate([-460,370,20]) rotate([0,0,180]) scale([1,1,1 ]) import("V-Slot Motor Mount Plate.stl", convexity=3);
color("silver") translate([-460,-330,20]) rotate([0,0,180]) scale([1,1,1 ]) import("V-Slot Motor Mount Plate.stl", convexity=3);
color("grey") translate([-490,340,42]) rotate([-90,0,0]) scale([1,1,1 ]) import("GT2 2mm Aluminum Timing Pulley - 30 Tooth.stl", convexity=3);
color("grey") translate([-490,-360,42]) rotate([-90,0,0]) scale([1,1,1 ]) import("GT2 2mm Aluminum Timing Pulley - 30 Tooth.stl", convexity=3);

color ("green") translate ([-325,-503,31]) rotate([0,0,16]) belting("straight","GT2_2mm", belt_length = 120, belting_width = 5 );	
color ("green") translate ([-210,-470,31]) rotate([0,0,-3.3]) belting("straight","GT2_2mm", belt_length = 550, belting_width = 5 );
color ("green") translate ([-500,-337,36]) rotate([180,0,-8.7])belting("straight","GT2_2mm", belt_length = 850, belting_width = 5 );	
color ("green") translate ([-500,-345,31]) rotate([0,0,-42])belting("straight","GT2_2mm", belt_length = 235, belting_width = 5 );	


color ("green") translate ([-325,503,35]) rotate([180,0,-16]) belting("straight","GT2_2mm", belt_length = 120, belting_width = 5 );	
color ("green") translate ([-210,470,36]) rotate([180,0,3.3]) belting("straight","GT2_2mm", belt_length = 550, belting_width = 5 );
color ("green") translate ([-500,337,31]) rotate([0,0,8.7])belting("straight","GT2_2mm", belt_length = 850, belting_width = 5 );	
color ("green") translate ([-500,345,35]) rotate([180,0,42])belting("straight","GT2_2mm", belt_length = 235, belting_width = 5 );	

translate([-220,469,49.5]) rotate([0,180,-90]) idler();
translate([-200,-469,49.5]) rotate([0,180,90]) idler();

color("blue") translate([500,0,0]) rotate([180,0,90]) scale([1,1,1]) import("40x40smfoot.stl", convexity=3);
color("blue") translate([-540,0,0]) rotate([180,0,90]) scale([1,1,1]) import("40x40smfoot.stl", convexity=3);
color("blue") translate([0,520,0]) rotate([180,0,90]) scale([1,1,1]) import("40x40smfoot.stl", convexity=3);
color("blue") translate([0,-520,0]) rotate([180,0,90]) scale([1,1,1]) import("40x40smfoot.stl", convexity=3);
color("grey") translate([300,-310,0]) rotate([180,0,90]) scale([1,1,1]) import("20x40foot.stl", convexity=3);
color("grey") translate([-340,-310,0]) rotate([180,0,90]) scale([1,1,1]) import("20x40foot.stl", convexity=3);
color("grey") translate([300,330,0]) rotate([180,0,90]) scale([1,1,1]) import("20x40foot.stl", convexity=3);
color("grey") translate([-340,330,0]) rotate([180,0,90]) scale([1,1,1]) import("20x40foot.stl", convexity=3);
color("red") translate([520,543,700]) rotate([0,90,90]) scale([1,1,1]) import("spool.stl", convexity=3);
color("red") translate([520,-543,700]) rotate([180,90,90]) scale([1,1,1]) import("spool.stl", convexity=3);

color("blue") translate([340,-320,23]) rotate([0,0,90]) scale([1,1,1]) import("clip.stl", convexity=3);
color("blue") translate([340,320,23]) rotate([0,0,90]) scale([1,1,1]) import("clip.stl", convexity=3);
color("blue") translate([-340,-320,23]) rotate([0,0,-90]) scale([1,1,1]) import("clip.stl", convexity=3);
color("blue") translate([-340,320,23]) rotate([0,0,-90]) scale([1,1,1]) import("clip.stl", convexity=3);

color("grey") translate([-542,0,950]) rotate([90,0,-90]) scale([1,1,1]) import("logo_plate.stl", convexity=3);